<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- script for using firebug in opear for debugging -->
<!-- <script type="text/javascript" src="http://fbug.googlecode.com/svn/lite/branches/firebug1.3/content/firebug-lite-dev.js"></script> -->

<?php 
require('wp-blog-header.php');
require_once("wp-config.php");
require_once("wp-includes/wp-db.php");
//header("Content-type: text/plain; charset=utf-8'\n\n\n");

//add functions here

?>

<html>
<head>
<title>My Blog Widget</title>
<style type="text/css">

body,html {
  height: 300px;
  margin-top: 0px;
  margin-left: 0px;
	width: 300px;
}

a {
  color: #0D2444;
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

#widget {
  width: 275px;
	padding: 10px 10px 0px 10px;
	border: 1px solid #CCCCCC;
	background: #CCCCCC;
}

 
#widget ul, ol {
	list-style: none;
	padding-left: 0px;
}

#widget .block {
	border: #DEDEDE 1px solid;
	padding: 0 9px 8px 9px;
	margin-bottom: 14px;
	font-size: 12px;
	font-family: "Trebuchet MS",Arial,Helvetica,sans-serif;
}

#widget .block h2 {
	font-size: 14px;
	padding: 0 0 10px 0;
	background-color: #CCCCCC;
}

#widget .inside ul {
	padding: 0;
	list-style: none outside none;
	border: 1px solid #CCCCCC;
	background: #FFF;
}

#widget .inside li {
	line-height: 20px;
	padding: 3px 0 3px 12px;
	border-bottom: 1px solid #CCCCCC;
}

#widget .inside li a {
	color: #565656;
}

#widget .inside li a:hover {
	color: #006DAC;
	text-decoration: underline;
}

.attachment-thumbnail {
  padding:1px;
  border:8px solid #E7E7E7;
  background-color:#000000;
	margin-right: 10px; 	
}

.widget-image {
	background-color: #FFFFFF;
  border: 1px solid #DDDDDD;
  float: left;
  margin: 0 8px 0 0;
  padding: 2px;
}

</style>

</head>
<body style="background-color:transparent">

  <div id="widget">
  <div class="inside">
    <center><b>Recent Wordpress Blog Posts</b></center>
    <?php
      $posts = get_posts('numberposts=5&offset=0');
      $recent = "<ul style='margin-left: 0px'>";
      foreach($posts as $post) 
			{ 
    	  $ThumbnailImage = "";
        $recent .= "\n";
        $post_title = $post->post_title;
        $guid = get_permalink($post->ID);
    		$ThumbnailID = get_post_thumbnail_id($post->ID);
    		if($ThumbnailID) 
				{
    			$ImageTitle = get_the_title( $ThumbnailID );
    		  $thumbnail_file = wp_get_attachment_thumb_url($ThumbnailID);
    		  $ThumbnailImage = '<a href="'.$guid.'" title="' . $post_title . '" target="_blank"><img height="35" width="35" class="widget-image thumbnail" src="' . $thumbnail_file . '" alt="'. $ImageTitle .'"/></a>';
    		}
        $recent .= '<li>'. $ThumbnailImage . '<a href="'.$guid.'" target="_blank">' . $post_title.'</a><br><br></li>';
			}	
			$recent .= "</ul>";
      echo $recent;
      ?>
	 </div>
	 </div>		
</body>
</html>
